package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目审核信息对象 sur_project_auditinfo
 * 
 * @author JiangYuQi
 * @date 2023-09-20
 */
public class SurProjectAuditinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 来自类型 */
    @Excel(name = "来自类型")
    private String fromType;

    /** 来自主键 */
    @Excel(name = "来自主键")
    private Long fromId;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private String approveStatus;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String comment;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFromType(String fromType) 
    {
        this.fromType = fromType;
    }

    public String getFromType() 
    {
        return fromType;
    }
    public void setFromId(Long fromId) 
    {
        this.fromId = fromId;
    }

    public Long getFromId() 
    {
        return fromId;
    }
    public void setApproveStatus(String approveStatus) 
    {
        this.approveStatus = approveStatus;
    }

    public String getApproveStatus() 
    {
        return approveStatus;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }
    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fromType", getFromType())
            .append("fromId", getFromId())
            .append("approveStatus", getApproveStatus())
            .append("isDel", getIsDel())
            .append("comment", getComment())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
